/**********************************************************************/
/* Copywrite Edscott Wilson Garcia 2005-2010 
 * See attached GPL licence for further information.
 * 
 * ********************************************************************/
/*
*/
/*
 * this could be useful, maybe...
G_MODULE_EXPORT
void set_drag_copy(view_t *view_p, gboolean will_copy){
    if (will_copy) drag_action = GDK_ACTION_COPY;
    else drag_action = GDK_ACTION_MOVE;
}
*/
/***************** GTK callbacks **************************/

static gboolean
destroy_event (
    GtkWidget * widget,
    GdkEvent * event,
    gpointer data
) {
    view_t * view_p=data;
    GList *g;
    for(g = view_p->children; g && g->data; g = g->next) {
        long lid = (long) g->data;
        pid_t pid = lid;
        kill (pid, SIGTERM);
        DBG ("destroy: sending SIGTERM to %ld\n", lid);
    }
    rodent_destroy_view (view_p);
    exit(1);
}

static gboolean
on_configure (
    GtkWidget * widget,
    GdkEventConfigure * event,
    gpointer user_data
) {
    TRACE ("configure event\n");
    return TRUE;
}

static gboolean
on_size (
    GtkWidget * widget,
    GtkAllocation * allocation,
    gpointer user_data
) {
    return TRUE;
}
