#ifndef PRIMARY_ICONS_H
# define PRIMARY_ICONS_H
typedef struct preview_child_t{
    gint population_serial;
    view_t *view_p;
    population_t *population_p;
} preview_child_t;

gchar *
  rfm_get_composite_icon_id (record_entry_t * en, const gchar * id);

gchar *
  rfm_get_thumbnail_path (const gchar * file, gint size);

void  
  rfm_fireup_previews (view_t * view_p);

Pixmap 
  rfm_create_background_pixmap (char *file);

gpointer 
  rfm_preview_thread_f (gpointer data);

gboolean 
  rfm_is_image (record_entry_t * en);

GdkPixbuf *
  rfm_get_pixbuf (const gchar * key, int size);

GdkPixbuf *
  rfm_get_from_pixbuf_hash (const gchar * key, int size);

const gchar *
  rfm_resolve_icon_id (record_entry_t * en);

 /**/
//////   module wraparounds:
gint 
  rfm_svg_supported (void);

#endif
